Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema.utils
Class DOMUtil

    java.lang.Object
      org.apache.ws.commons.schema.utils.DOMUtil

Direct Known Subclasses:
  XDOMUtil

    public class DOMUtil

extends java.lang.Object

Some useful utility methods. This class was modified in Xerces2 with a view to abstracting as much as possible away from the representation of the underlying parsed structure (i.e., the DOM). This was done so that, if Xerces ever adopts an in-memory representation more efficient than the DOM (such as a DTM), we should easily be able to convert our schema parsing to utilize it.

Version:
  $ID DOMUtil

Constructor Summary
`protected` | `DOMUtil()` This class cannot be instantiated.

Method Summary
`static org.w3c.dom.Attr` | `getAttr(org.w3c.dom.Element elem, java.lang.String name)`
`static org.w3c.dom.Attr` | `getAttrNS(org.w3c.dom.Element elem, java.lang.String nsUri, java.lang.String localName)`
`static org.w3c.dom.Attr[]` | `getAttrs(org.w3c.dom.Element elem)`
`static java.lang.String` | `getAttrValue(org.w3c.dom.Element elem, java.lang.String name)`
`static java.lang.String` | `getAttrValueNS(org.w3c.dom.Element elem, java.lang.String nsUri, java.lang.String localName)`
`static java.lang.String` | `getChildText(org.w3c.dom.Node node)` Returns the concatenated child text of the specified node.
`static org.w3c.dom.Document` | `getDocument(org.w3c.dom.Node node)`
`static org.w3c.dom.Element` | `getFirstChildElement(org.w3c.dom.Node parent)` Finds and returns the first child element node.
`static org.w3c.dom.Element` | `getFirstChildElement(org.w3c.dom.Node parent, java.lang.String elemName)` Finds and returns the first child node with the given name.
`static org.w3c.dom.Element` | `getFirstChildElement(org.w3c.dom.Node parent, java.lang.String[] elemNames)` Finds and returns the first child node with the given name.
`static org.w3c.dom.Element` | `getFirstChildElement(org.w3c.dom.Node parent, java.lang.String elemName, java.lang.String attrName, java.lang.String attrValue)` Finds and returns the first child node with the given name and attribute name, value pair.
`static org.w3c.dom.Element` | `getFirstChildElementNS(org.w3c.dom.Node parent, java.lang.String[][] elemNames)` Finds and returns the first child node with the given qualified name.
`static org.w3c.dom.Element` | `getFirstChildElementNS(org.w3c.dom.Node parent, java.lang.String uri, java.lang.String localpart)` Finds and returns the first child node with the given qualified name.
`static java.lang.String` | `getInputEncoding(org.w3c.dom.Document doc)` Get the input encoding of the document.
`static org.w3c.dom.Element` | `getLastChildElement(org.w3c.dom.Node parent)` Finds and returns the last child element node.
`static org.w3c.dom.Element` | `getLastChildElement(org.w3c.dom.Node parent, java.lang.String elemName)` Finds and returns the last child node with the given name.
`static org.w3c.dom.Element` | `getLastChildElement(org.w3c.dom.Node parent, java.lang.String[] elemNames)` Finds and returns the last child node with the given name.
`static org.w3c.dom.Element` | `getLastChildElement(org.w3c.dom.Node parent, java.lang.String elemName, java.lang.String attrName, java.lang.String attrValue)` Finds and returns the last child node with the given name and attribute name, value pair.
`static org.w3c.dom.Element` | `getLastChildElementNS(org.w3c.dom.Node parent, java.lang.String[][] elemNames)` Finds and returns the last child node with the given qualified name.
`static org.w3c.dom.Element` | `getLastChildElementNS(org.w3c.dom.Node parent, java.lang.String uri, java.lang.String localpart)` Finds and returns the last child node with the given qualified name.
`static java.lang.String` | `getLocalName(org.w3c.dom.Node node)` returns local name of this element if not null, otherwise returns the name of the node
`static java.lang.String` | `getName(org.w3c.dom.Node node)`
`static java.lang.String` | `getNamespaceURI(org.w3c.dom.Node node)`
`static org.w3c.dom.Element` | `getNextSiblingElement(org.w3c.dom.Node node)` Finds and returns the next sibling element node.
`static org.w3c.dom.Element` | `getNextSiblingElement(org.w3c.dom.Node node, java.lang.String elemName)` Finds and returns the next sibling node with the given name.
`static org.w3c.dom.Element` | `getNextSiblingElement(org.w3c.dom.Node node, java.lang.String[] elemNames)` Finds and returns the next sibling node with the given name.
`static org.w3c.dom.Element` | `getNextSiblingElement(org.w3c.dom.Node node, java.lang.String elemName, java.lang.String attrName, java.lang.String attrValue)` Finds and returns the next sibling node with the given name and attribute name, value pair.
`static org.w3c.dom.Element` | `getNextSiblingElementNS(org.w3c.dom.Node node, java.lang.String[][] elemNames)` Finds and returns the next sibling node with the given qualified name.
`static org.w3c.dom.Element` | `getNextSiblingElementNS(org.w3c.dom.Node node, java.lang.String uri, java.lang.String localpart)` Finds and returns the next sibling node with the given qualified name.
`static org.w3c.dom.Element` | `getParent(org.w3c.dom.Element elem)`
`static org.w3c.dom.Element` | `getRoot(org.w3c.dom.Document doc)`
`static java.lang.String` | `getValue(org.w3c.dom.Attr attribute)`
`static java.lang.String` | `getXmlEncoding(org.w3c.dom.Document doc)` Get the xml encoding of the document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMUtil

    protected DOMUtil()

  This class cannot be instantiated.

Method Detail

### getFirstChildElement

    public static org.w3c.dom.Element getFirstChildElement(org.w3c.dom.Node parent)

  Finds and returns the first child element node.

### getLastChildElement

    public static org.w3c.dom.Element getLastChildElement(org.w3c.dom.Node parent)

  Finds and returns the last child element node.

### getNextSiblingElement

    public static org.w3c.dom.Element getNextSiblingElement(org.w3c.dom.Node node)

  Finds and returns the next sibling element node.

### getFirstChildElement

    public static org.w3c.dom.Element getFirstChildElement(org.w3c.dom.Node parent,
                                                           java.lang.String elemName)

  Finds and returns the first child node with the given name.

### getLastChildElement

    public static org.w3c.dom.Element getLastChildElement(org.w3c.dom.Node parent,
                                                          java.lang.String elemName)

  Finds and returns the last child node with the given name.

### getNextSiblingElement

    public static org.w3c.dom.Element getNextSiblingElement(org.w3c.dom.Node node,
                                                            java.lang.String elemName)

  Finds and returns the next sibling node with the given name.

### getFirstChildElementNS

    public static org.w3c.dom.Element getFirstChildElementNS(org.w3c.dom.Node parent,
                                                             java.lang.String uri,
                                                             java.lang.String localpart)

  Finds and returns the first child node with the given qualified name.

### getLastChildElementNS

    public static org.w3c.dom.Element getLastChildElementNS(org.w3c.dom.Node parent,
                                                            java.lang.String uri,
                                                            java.lang.String localpart)

  Finds and returns the last child node with the given qualified name.

### getNextSiblingElementNS

    public static org.w3c.dom.Element getNextSiblingElementNS(org.w3c.dom.Node node,
                                                              java.lang.String uri,
                                                              java.lang.String localpart)

  Finds and returns the next sibling node with the given qualified name.

### getFirstChildElement

    public static org.w3c.dom.Element getFirstChildElement(org.w3c.dom.Node parent,
                                                           java.lang.String[] elemNames)

  Finds and returns the first child node with the given name.

### getLastChildElement

    public static org.w3c.dom.Element getLastChildElement(org.w3c.dom.Node parent,
                                                          java.lang.String[] elemNames)

  Finds and returns the last child node with the given name.

### getNextSiblingElement

    public static org.w3c.dom.Element getNextSiblingElement(org.w3c.dom.Node node,
                                                            java.lang.String[] elemNames)

  Finds and returns the next sibling node with the given name.

### getFirstChildElementNS

    public static org.w3c.dom.Element getFirstChildElementNS(org.w3c.dom.Node parent,
                                                             java.lang.String[][] elemNames)

  Finds and returns the first child node with the given qualified name.

### getLastChildElementNS

    public static org.w3c.dom.Element getLastChildElementNS(org.w3c.dom.Node parent,
                                                            java.lang.String[][] elemNames)

  Finds and returns the last child node with the given qualified name.

### getNextSiblingElementNS

    public static org.w3c.dom.Element getNextSiblingElementNS(org.w3c.dom.Node node,
                                                              java.lang.String[][] elemNames)

  Finds and returns the next sibling node with the given qualified name.

### getFirstChildElement

    public static org.w3c.dom.Element getFirstChildElement(org.w3c.dom.Node parent,
                                                           java.lang.String elemName,
                                                           java.lang.String attrName,
                                                           java.lang.String attrValue)

  Finds and returns the first child node with the given name and attribute name, value pair.

### getLastChildElement

    public static org.w3c.dom.Element getLastChildElement(org.w3c.dom.Node parent,
                                                          java.lang.String elemName,
                                                          java.lang.String attrName,
                                                          java.lang.String attrValue)

  Finds and returns the last child node with the given name and attribute name, value pair.

### getNextSiblingElement

    public static org.w3c.dom.Element getNextSiblingElement(org.w3c.dom.Node node,
                                                            java.lang.String elemName,
                                                            java.lang.String attrName,
                                                            java.lang.String attrValue)

  Finds and returns the next sibling node with the given name and attribute name, value pair. Since only elements have attributes, the node returned will be of type Node.ELEMENT_NODE.

### getChildText

    public static java.lang.String getChildText(org.w3c.dom.Node node)

  Returns the concatenated child text of the specified node. This method only looks at the immediate children of type `Node.TEXT_NODE` or the children of any child node that is of type `Node.CDATA_SECTION_NODE` for the concatenation.

  Parameters:
    `node` - The node to look at.

### getName

    public static java.lang.String getName(org.w3c.dom.Node node)

### getLocalName

    public static java.lang.String getLocalName(org.w3c.dom.Node node)

  returns local name of this element if not null, otherwise returns the name of the node

### getParent

    public static org.w3c.dom.Element getParent(org.w3c.dom.Element elem)

### getDocument

    public static org.w3c.dom.Document getDocument(org.w3c.dom.Node node)

### getRoot

    public static org.w3c.dom.Element getRoot(org.w3c.dom.Document doc)

### getAttr

    public static org.w3c.dom.Attr getAttr(org.w3c.dom.Element elem,
                                           java.lang.String name)

### getAttrNS

    public static org.w3c.dom.Attr getAttrNS(org.w3c.dom.Element elem,
                                             java.lang.String nsUri,
                                             java.lang.String localName)

### getAttrs

    public static org.w3c.dom.Attr[] getAttrs(org.w3c.dom.Element elem)

### getValue

    public static java.lang.String getValue(org.w3c.dom.Attr attribute)

### getAttrValue

    public static java.lang.String getAttrValue(org.w3c.dom.Element elem,
                                                java.lang.String name)

### getAttrValueNS

    public static java.lang.String getAttrValueNS(org.w3c.dom.Element elem,
                                                  java.lang.String nsUri,
                                                  java.lang.String localName)

### getNamespaceURI

    public static java.lang.String getNamespaceURI(org.w3c.dom.Node node)

### getInputEncoding

    public static java.lang.String getInputEncoding(org.w3c.dom.Document doc)

  Get the input encoding of the document. This uses a DOM 3 API call getInputEncoding hence it returns the correct value only if a DOM3 API is used. Otherwise it returns the default encoding

  Parameters:
    `doc` -
  Returns:
    the encoding (e.g. UTF-8)

### getXmlEncoding

    public static java.lang.String getXmlEncoding(org.w3c.dom.Document doc)

  Get the xml encoding of the document. This uses a DOM 3 API call getXmlEncoding hence it returns the correct value only if a DOM3 API is used. Otherwise it returns the default encoding

  Parameters:
    `doc` -
  Returns:
    the encoding (e.g. utf-8).
  See Also:
    `getInputEncoding(Document)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.